Bug 2268823 - CVE-2024-28176 apptainer: go-jose: resource exhaustion [epel-all]
Summary: CVE-2024-28176 apptainer: go-jose: resource exhaustion [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: apptainer
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Dave Dykstra
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-28176
TreeView+ depends on / blocked
 
Reported: 2024-03-10 20:04 UTC by ybuenos
Modified: 2024-03-23 00:36 UTC (History)
2 users (show)

Fixed In Version: apptainer-1.3.0-1.el9 apptainer-1.3.0-1.el7 apptainer-1.3.0-1.fc39 apptainer-1.3.0-1.el8 apptainer-1.3.0-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-18 13:27:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description ybuenos 2024-03-10 20:04:45 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2268820

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 ybuenos 2024-03-10 20:04:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2268820,2268823

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-03-13 18:23:04 UTC
FEDORA-EPEL-2024-88b6d1940a (apptainer-1.3.0-1.el7) has been submitted as an update to Fedora EPEL 7.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-88b6d1940a

Comment 3 Fedora Update System 2024-03-13 18:23:20 UTC
FEDORA-2024-453ee0b3b9 (apptainer-1.3.0-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-453ee0b3b9

Comment 4 Fedora Update System 2024-03-13 18:23:35 UTC
FEDORA-EPEL-2024-0e36aae9a6 (apptainer-1.3.0-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0e36aae9a6

Comment 5 Fedora Update System 2024-03-14 01:04:35 UTC
FEDORA-2024-560a7aca85 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-560a7aca85`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-560a7aca85

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-03-14 01:15:32 UTC
FEDORA-EPEL-2024-0e36aae9a6 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0e36aae9a6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-03-14 01:22:13 UTC
FEDORA-EPEL-2024-88b6d1940a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-88b6d1940a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-03-14 01:50:57 UTC
FEDORA-EPEL-2024-d7cc38dee9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-d7cc38dee9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-03-14 01:59:18 UTC
FEDORA-2024-453ee0b3b9 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-453ee0b3b9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-453ee0b3b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-03-22 00:41:41 UTC
FEDORA-EPEL-2024-0e36aae9a6 (apptainer-1.3.0-1.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-03-22 00:59:03 UTC
FEDORA-EPEL-2024-88b6d1940a (apptainer-1.3.0-1.el7) has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-03-22 01:15:37 UTC
FEDORA-2024-453ee0b3b9 (apptainer-1.3.0-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-03-22 01:19:26 UTC
FEDORA-EPEL-2024-d7cc38dee9 (apptainer-1.3.0-1.el8) has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-03-23 00:36:18 UTC
FEDORA-2024-560a7aca85 (apptainer-1.3.0-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.